# SpeciesFormChangeTimeOfDayTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeTimeOfDayTrigger

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeTimeOfDayTrigger

- Defined in src/data/pokemon-forms.ts:294

##### Index

### Constructors

constructor

### Properties

description
timesOfDay

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeTimeOfDayTrigger(
  ...timesOfDay: TimeOfDay [],
  ): SpeciesFormChangeTimeOfDayTrigger

  #### Parameters

  - ...timesOfDay: TimeOfDay []

  #### Returns SpeciesFormChangeTimeOfDayTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:297

## Properties

### description

description: string = ""

Inherited from SpeciesFormChangeTrigger.description

- Defined in src/data/pokemon-forms.ts:222

### timesOfDay

timesOfDay: TimeOfDay []

- Defined in src/data/pokemon-forms.ts:295

## Methods

### canChange

- canChange(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:303

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:228